# studio::LayerParamTreeStore::Model Class Reference

TreeModel for the layer parameters. More...

`#include <layerparamtreestore.h>`

Inheritance diagram for studio::LayerParamTreeStore::Model:

List of all members.

## Public Member Functions

| Model ()

## Public Attributes

Gtk::TreeModelColumn < synfig::ParamDesc > | param_desc
Gtk::TreeModelColumn< bool > | is_inconsistent
Gtk::TreeModelColumn< bool > | is_toplevel

## Detailed Description

TreeModel for the layer parameters.

## Constructor & Destructor Documentation

studio::LayerParamTreeStore::Model::Model | ( |  | ) | `[inline]`

Reimplemented from studio::CanvasTreeStore::Model.

References is_inconsistent, is_toplevel, and param_desc.

## Member Data Documentation

Gtk::TreeModelColumn<synfig::ParamDesc> studio::LayerParamTreeStore::Model::param_desc

Referenced by studio::LayerParamTreeStore::get_value_vfunc(), Model(), studio::LayerParamTreeStore::rebuild(), studio::LayerParamTreeStore::refresh_row(), and studio::LayerParamTreeStore::set_value_impl().

Gtk::TreeModelColumn<bool> studio::LayerParamTreeStore::Model::is_inconsistent

Referenced by studio::LayerParamTreeStore::get_value_vfunc(), Model(), studio::LayerParamTreeStore::rebuild(), and studio::LayerParamTreeStore::refresh_row().

Gtk::TreeModelColumn<bool> studio::LayerParamTreeStore::Model::is_toplevel

Referenced by studio::LayerParamTreeStore::get_value_vfunc(), Model(), studio::LayerParamTreeStore::refresh_row(), and studio::LayerParamTreeStore::set_value_impl().

The documentation for this class was generated from the following file:

- layerparamtreestore.h